Page MenuHomePhabricator

CI generate docs for Flow and MobileFrontend wmf branches
Closed, ResolvedPublic

Description

Spotted on gallium in /srv/org/wikimedia/doc there is a bunch of directories such as:

$ find /srv/org/wikimedia/doc -maxdepth 3 -wholename '*wmf/*' -type d
./Flow/wmf/1.26wmf15
./Flow/wmf/1.26wmf12
./Flow/wmf/1.26wmf19
./Flow/wmf/1.26wmf16
./Flow/wmf/1.26wmf22
./Flow/wmf/1.27.0-wmf.3
./Flow/wmf/1.26wmf24
./Flow/wmf/1.26wmf17
./Flow/wmf/1.27.0-wmf.1
./Flow/wmf/1.26wmf10
./Flow/wmf/1.26wmf18
./Flow/wmf/1.26wmf9
./Flow/wmf/1.27.0-wmf.6
./Flow/wmf/1.26wmf11
./Flow/wmf/1.27.0-wmf.2
./Flow/wmf/1.26wmf21
./Flow/wmf/1.26wmf20
./Flow/wmf/1.26wmf13
./Flow/wmf/1.27.0-wmf.4
./Flow/wmf/1.27.0-wmf.5
./MobileFrontend/wmf/1.26wmf16
./MobileFrontend/wmf/1.26wmf22
./MobileFrontend/wmf/1.27.0-wmf.3
./MobileFrontend/wmf/1.26wmf24
./MobileFrontend/wmf/1.27.0-wmf.1
./MobileFrontend/wmf/1.26wmf23
./MobileFrontend/wmf/1.27.0-wmf.2
./MobileFrontend/wmf/1.26wmf21
./MobileFrontend/wmf/1.26wmf20
./MobileFrontend/wmf/1.27.0-wmf.4
$

Most probably the job is lacking a proper branch: filter in Zuul configuration.

Related Objects

Event Timeline

hashar created this task.Nov 13 2015, 8:27 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Needs Triage.
hashar added a subscriber: hashar.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 13 2015, 8:27 PM
hashar triaged this task as Low priority.Jan 5 2016, 12:41 PM
hashar set Security to None.
hashar claimed this task.Jan 1 2019, 3:30 PM
$ ls -1d /srv/org/wikimedia/doc/*/wmf
/srv/org/wikimedia/doc/Kartographer/wmf
/srv/org/wikimedia/doc/MinervaNeue/wmf
/srv/org/wikimedia/doc/MobileFrontend/wmf
/srv/org/wikimedia/doc/Wikibase/wmf

Jobs in postmerge pipeline:

Kartographer:

  • mwext-doxygen-publish
  • mwext-jsduck-publish

MinervaNeue:

  • mwext-doxygen-publish
  • mwext-npm-doc-publish

MobileFrontend:

  • mwext-doxygen-publish
  • mwext-npm-doc-publish

Wikibase:

  • mwext-doxygen-publish
  • mwext-jsduck-publish

The documentation is for php and is due to mwext-doxygen-publish lacking a branch filter in Zuul configuration.

Change 481673 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Do not publish doc for MediaWiki extensions wmf branches

https://gerrit.wikimedia.org/r/481673

Mentioned in SAL (#wikimedia-releng) [2019-01-01T15:33:45Z] <hashar> contint1001: deleting some extensions documentation for wmf branches: rm -fR /srv/org/wikimedia/doc/{Kartographer,MinervaNeue,MobileFrontend,Wikibase}/wmf # T118599

Change 481673 merged by jenkins-bot:
[integration/config@master] Do not publish doc for MediaWiki extensions wmf branches

https://gerrit.wikimedia.org/r/481673

hashar added a comment.Jan 1 2019, 3:36 PM

And that is roughly 5GBytes less on the disk:

$ du -h -c /srv/org/wikimedia/doc/Kartographer/wmf /srv/org/wikimedia/doc/MinervaNeue/wmf /srv/org/wikimedia/doc/MobileFrontend/wmf /srv/org/wikimedia/doc/Wikibase/wmf|tail -n1
4.8G	total
hashar closed this task as Resolved.